require "params"

outputname = 'cube'
outputpreview = true 
folder = 'mesh/'
minrefine = level
maxrefine = level
print ("maxlevel"..level)

debug = { debugMode = true, debugFiles = true}

bounding_cube = {
    origin = {originX, originY, originZ},
    length = length
}

refinebox = {
    origin = {-length*0.15,-length*0.15,-length*0.15},
    length = {length*0.3,length*0.3,length*0.3},
    refinementlevel = maxrefine+refine
}               

seed = { 
    points = {{0.,0.,0.}}
}

geom={
  periodic = {{plane1={
                         vecA={length,0.0,0.0},
                         vecB={0.0,length,0.0},
                         pos={-length*0.5,-length*0.5,dx+dxmax/2 }},
                  plane2={
                         vecB={length,0.0,0.0},
                         vecA={0.0,length,0.0},
                         pos={-length*0.5,-length*0.5,-dxmax/2}},
                  bclabel = 'periodic_z'
                 }
       }
}

