! See copyright notice in the COPYRIGHT file.
program tem_copyOperator_test
  use tem_var_system_module, only: tem_var_sys_init, tem_var_append, &
    &                              tem_var_sys_mark, tem_var_sys_debug, &
    &                              tem_var_system_type

  implicit none
  type(tem_var_system_type) :: varsys 
  integer :: pos

  !initialize varsys
  call tem_var_sys_init( sys=varsys )

  !append a single variable in varsys
  call tem_var_append( sys=varsys, varName = 'testVar', &
    &                  nComponents = 1, pos = pos )
 
  !mark variable system
  call tem_var_sys_mark( sys=varsys, systemname='testsys' )
 
  !dump variable system
  call tem_var_sys_debug( sys=varSys, level = 1 ) 

  ! \todo: SZ: What does this Test DO????
  
  write(*,*) 'PASSED'

end program tem_copyOperator_test
