#! /usr/bin/env python
import os
from send_email_lib import send_mail

to = []
to.append(os.environ['email'])

level = 'Level: '+os.environ['level']
Re = 'Re: '+os.environ['Re']
subject = 'MUSUBI testcase: 2D PlainChannel '+level+'. '+Re
text = 'For wall shear stress, strain rate and velocity distribution, please check attachment'

files = []
files.append('pictures/wss_spatial.png')
files.append('pictures/vel_spatial.png')
files.append('pictures/strainRate_spatial.png')
files.append('pictures/pressureDrop.png')
files.append('runSeeder.log.txt')
files.append('runMUSUBI.log.txt')

send_mail( to, subject, text, files )
